%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name colorspace

Name: %{?scl_prefix}nodejs-colorspace
Version: 1.1.0
Release: 1%{?dist}
Summary: Generate HEX colors for a given namespace
License: MIT
Group: Development/Libraries
URL: https://www.npmjs.com/package/colorspace
Source0: https://registry.npmjs.org/colorspace/-/colorspace-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
Requires: npm(color) >= 3.0.0
Requires: npm(color) < 3.1.0
Requires: npm(text-hex) >= 1.0.0
Requires: npm(text-hex) < 1.1.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.md
%doc README.md

%changelog
